## w3c-markup-validator 1.3+dfsg

=== Makefile ===
VERSION = $(shell perl -ne '/^\$$VERSION\b.*?([\d.]+)/ && print $$1' httpd/cgi-bin/check)

CSS_FILES = htdocs/style/base.css htdocs/style/results.css
JS_SOURCES = htdocs/scripts/mootools-1.2.5-core-nc.js \
	htdocs/scripts/mootools-1.2.5.1-more.js	htdocs/scripts/w3c-validator.js
PERL_FILES = httpd/cgi-bin/check httpd/cgi-bin/sendfeedback.pl \
	httpd/mod_perl/startup.pl misc/soc2xml.pl misc/spmpp.pl \
	misc/docs_errors.pl misc/bundle/Makefile.PL \
	misc/bundle/lib/Bundle/W3C/Validator.pm
GZIP_FILES = $(addsuffix .gz,$(CSS_FILES)) htdocs/scripts/combined.js.gz

PERLTIDY = perltidy --profile=misc/perltidyrc --backup-and-modify-in-place
PERLCRITIC = perlcritic --profile misc/perlcriticrc

YUICOMPRESSOR = java -jar $(wildcard /usr/share/java/yuicompressor*.jar)
GZIP = gzip -9n

VALIDATOR_URI = http://localhost/w3c-validator/check

# Override the above variables in config.mk if needed.
-include config.mk

all: htdocs/docs/errors.html htdocs/sgml-lib/catalog.xml $(GZIP_FILES)

htdocs/docs/errors.html: misc/docs_errors.pl share/templates/en_US/error_messages.cfg share/templates/en_US/docs_errors.tmpl htdocs/config/validator.conf
	env W3C_VALIDATOR_HOME=. W3C_VALIDATOR_CFG=htdocs/config/validator.conf misc/docs_errors.pl > $@

htdocs/sgml-lib/catalog.xml: misc/soc2xml.pl htdocs/sgml-lib/xml.soc
	misc/soc2xml.pl < htdocs/sgml-lib/xml.soc > $@

htdocs/scripts/combined.js: $(JS_SOURCES)
	rm -f $@
	@for src in $(JS_SOURCES) ; do \
		echo "$(YUICOMPRESSOR) $$src >> $@" ; \
		$(YUICOMPRESSOR) $$src >> $@ ; \
	done

.css.css.gz .js.js.gz:
	$(GZIP) -c $< > $@ && touch -r $< $@

test:
	misc/testsuite/harness.py --validator_uri=$(VALIDATOR_URI) run

perlcritic:
	$(PERLCRITIC) $(PERL_FILES)

perltidy:
	@for file in $(PERL_FILES) ; do \
		echo "$(PERLTIDY) $$file" ; \
		$(PERLTIDY) $$file ; \
	done

clean:
	rm -f $(GZIP_FILES)

dist: all
	@for file in htdocs/footer.html htdocs/whatsnew.html \
		httpd/cgi-bin/check share/templates/*/footer.tmpl ; do \
		grep -qF "$(VERSION)" $$file || { \
		echo "Validator version in $$file seems out of date." ; \
		exit 1 ; } ; \
	done
	misc/mkrelease.sh $(VERSION)

.SUFFIXES: .css .css.gz .js .js.gz

## w3c-markup-validator 1.1

=== debian/changelog ===
w3c-markup-validator (1.1-2) unstable; urgency=low

  * Releasing to unstable 

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Tue, 25 Jan 2011 22:42:59 +0000

w3c-markup-validator (1.1-1) experimental; urgency=low

  * New maintainer rebuilt package from first principles (Closes: #573497)
  * Upgraded to upstream version 1.1 (Closes: #461021 and  Closes: #437795)
  * Restricting dependency to apache2 until someone volunteers to do
    integration for other web servers.
  * Changed dependency from w3c-dtd-xhtml and sgml-data to w3c-sgml-lib.
  * Basing apache config fragment on upstream supplied fragment. As a
    consequence of this the home page is http://localhost/w3c-validator/.
    (Closes: #456904).
  * Setting version dependency on libwww-perl after investigating taint issues
  * Replacing W3C placeholder logo with customized Debian logo.
  * Restricting support to http. This is a holding operation for #445265.
  * Reviewed and rewrote README.Debian (Closes: #549025).
  * Adding lintian override over inclusion of mootools convenience library.
  * Simplified install scripts as much as possible, though
    leaving some abstraction in case there is a need to add support for more
    webservers.
  * Removed dependency on wwwconfig-common.
  * Automatically enable mod_include and mod_rewrite before bouncing the
    server (Closes: #477792).
  * The simplified install scripts mean that translation is no longer
    required. In fact the translated text referred to old versions of Apache
    that are no longer part of Debian. (Closes: #551185).

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 21 Aug 2010 18:22:35 +0100

w3c-markup-validator (0.7.4-5.2) unstable; urgency=low

  * Non-maintainer upload.
  * Add watch file. Closes: #435685
  * Fix pending l10n bugs. Debconf translations:
    - Finnish. Closes: #484548
    - Swedish. Closes: #499341

 -- Christian Perrier <bubulle@debian.org>  Tue, 23 Sep 2008 20:17:15 +0200

w3c-markup-validator (0.7.4-5.1) unstable; urgency=low

  * Non-maintainer upload to fix pending l10n issues.
  * Debconf translations:
    - German. Closes: #425433
    - Galician. Closes: #483201
    - Basque. Closes: #483482
    - Russian. Closes: #484315
  * [Lintian] Convert debian/copyright to UTF-8
  * [Lintian] Remove usr/share/w3c-markup-validator/config/ empty
    directory
  * [Lintian] No longer add an empty /usr/bin directory
  * Turkish. Closes: #484690

 -- Christian Perrier <bubulle@debian.org>  Fri, 16 May 2008 23:16:57 +0200

w3c-markup-validator (0.7.4-5) unstable; urgency=low

  * Remove dependency on w3c-linkchecker now that Etch is released
  * debian/po:
    + updated German po-debconf translation, courtesy of
      Helge Kreutzmann (closes: Bug#411327)
  * Upload sponsored thanks to Jaldhar H. Vyas.

 -- Frederic Schutz <schutz@mathgen.ch>  Tue, 15 May 2007 01:53:22 +0200

w3c-markup-validator (0.7.4-4) unstable; urgency=low

  * debian/po:
    + updated Czech po-debconf translation, courtesy of
      Jan Outrata (closes: Bug#408727)
  * Upload sponsored thanks to Jaldhar H. Vyas.

 -- Frederic Schutz <schutz@mathgen.ch>  Mon, 12 Feb 2007 19:23:24 +0100

w3c-markup-validator (0.7.4-3) unstable; urgency=low

  * debian/po:
    + updated Dutch po-debconf translation, courtesy of
      Bart Cornelis (closes: Bug#407443)
  * Upload sponsored thanks to Jaldhar H. Vyas.

 -- Frederic Schutz <schutz@mathgen.ch>  Mon, 22 Jan 2007 22:31:46 +0100

w3c-markup-validator (0.7.4-2) unstable; urgency=low

  * debian/po:
    + updated Danish po-debconf translation, courtesy of
      Morten Bo Johansen (Closes: Bug#401618)
  * Upload sponsored thanks to Jaldhar H. Vyas.

 -- Frederic Schutz <schutz@mathgen.ch>  Mon,  4 Dec 2006 23:41:20 +0100

w3c-markup-validator (0.7.4-1) unstable; urgency=medium

  * New upstream release, a "maintenance release including bug fixes and
    documentation updates" (see whatsnew.html)
  * Requires version >= 0.0.48 of package wwwconfig-common for checking
    errors when restarting the web server (see bug #399115)
  * Check if the script restart.sh from wwwconfig-common returns an
    error when called from postinst or prerm (Closes: Bug# 398638).
  * Urgency medium because this is related to an RC bug (partly solved
    and downgraded to important)
  * Upload sponsored thanks to Anibal Monsalve Salazar

 -- Frederic Schutz <schutz@mathgen.ch>  Sun, 19 Nov 2006 01:36:59 +0100

w3c-markup-validator (0.7.3-1) unstable; urgency=low

  * New upstream release
  * Remove "Suggests: libterm-readkey-perl (>= 2.00)", which applies 
    only to the linkchecker.
  * debian/po:
    + Update of the Japanese po-debconf template, thanks to
      Hideki Yamane (Closes: Bug#393210)
  * Upload sponsored thanks to Jaldhar H. Vyas.	
	
 -- Frederic Schutz <schutz@mathgen.ch>  Sun, 29 Oct 2006 22:17:52 +0100

w3c-markup-validator (0.7.2-3) unstable; urgency=low

  * Remove all files from the w3c-linkchecker, since it is now in its
    own package.
  * Depends on the new w3c-linkchecker package until Debian Etch is
    released, to ensure a smooth transition.
  * debian/po:
    + Update of the French po-debconf template, thanks to Thomas Huriaux
      (Closes: Bug#369296)
    + Update of the Portuguese po-debconf translation, courtesy of Rui
      Branco (Closes: Bug#381200)
  * Update README.Debian and README.config so that they match the recent
    changes in this package (version 0.7.2-1 and beyond).
  * Upload sponsored thanks to Jaldhar H. Vyas.

 -- Frederic Schutz <schutz@mathgen.ch>  Sun, 13 Aug 2006 02:08:07 +0200

w3c-markup-validator (0.7.2-2) unstable; urgency=low

  * Moved debhelper from Build-Depends-Indep to Build-Depends (needed
    for the 'clean' target); thanks to Steve Langasek and the newer
    version of Lintian.
  * Small updates to the debconf template following a Lintian warning
    + French po-debconf translation updated.
    + Italian po-debconf translation updated, thanks to Luca Monducci
      (Closes: Bug#367225)


=== debian/control ===
Source: w3c-markup-validator
Section: web
Priority: optional
Maintainer: Debian XML/SGML Group <debian-xml-sgml-pkgs@lists.alioth.debian.org>
Uploaders: Nicholas Bamber <nicholas@periapt.co.uk>, Jaldhar H. Vyas <jaldhar@debian.org>
Build-Depends: debhelper (>= 7.5.0)
Build-Depends-Indep: sharutils, perl, lynx, libc-bin
Standards-Version: 3.9.1
Homepage: http://validator.w3.org/about.html
Vcs-Browser: http://svn.debian.org/wsvn/debian-xml-sgml/packages/w3c-markup-validator
Vcs-Svn: svn://svn.debian.org/svn/debian-xml-sgml/packages/w3c-markup-validator/trunk

Package: w3c-markup-validator
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apache2, libwww-perl (>= 5.836),
 liburi-perl, libhtml-template-perl (>= 2.6), libhtml-parser-perl (>= 3.60),
 libtext-iconv-perl, libset-intspan-perl, libnet-ip-perl, 
 libconfig-general-perl (>= 2.32), w3c-sgml-lib, libencode-hanextra-perl,
 libhtml-encoding-perl, libjson-perl (>= 2.00), libxml-libxml-perl (>= 1.70),
 libsgml-parser-opensp-perl
Recommends: libhtml-tidy-perl
Description: W3C Markup Validator
 This is a CGI script which lets you enter the URL of a web page which will
 be then checked against a validating SGML parser for conformance to official
 W3C recommendations. Pages can also be uploaded.
 .
 These are the same scripts that are available on the W3C web site, 
 http://validator.w3.org.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

PACKAGE = $(shell dh_listpackages)
CONFIG_DIR = etc/w3c
CGIBIN_DIR = usr/lib/cgi-bin/$(PACKAGE)
SHARED_DIR = usr/share/$(PACKAGE)
IMAGES_DIR = $(SHARED_DIR)/html/images

%:
	dh $@ 

override_dh_install:
	dh_install httpd/cgi-bin/check            ${CGIBIN_DIR}
	dh_install httpd/cgi-bin/sendfeedback.pl  ${CGIBIN_DIR}
	dh_install htdocs/config/*                ${CONFIG_DIR}
	dh_install share/templates/en_US/*        ${SHARED_DIR}/templates/en_US
	dh_install httpd/conf/httpd.conf          ${CONFIG_DIR}
	dh_install htdocs/*.html                  ${SHARED_DIR}/html
	dh_install htdocs/*.css                   ${SHARED_DIR}/html
	dh_install htdocs/style/*.css             ${SHARED_DIR}/html/style
	dh_install htdocs/dev/tests/*             ${SHARED_DIR}/html/dev/tests
	dh_install htdocs/docs/*                  ${SHARED_DIR}/html/docs
	dh_install htdocs/source/*                ${SHARED_DIR}/html/source
	dh_install debian/logo.png                ${IMAGES_DIR}
	dh_install htdocs/images/info_icons/*.*   ${IMAGES_DIR}/info_icons
	dh_install htdocs/images/valid_icons/*.*  ${IMAGES_DIR}/valid_icons
	dh_install htdocs/images/*.*              ${IMAGES_DIR}/
	dh_install htdocs/scripts/*.js            ${SHARED_DIR}/html/scripts

override_dh_installdocs:
	mkdir -p debian/tmp
	lynx -dump -nolist htdocs/todo.html | iconv -f latin1 > debian/tmp/TODO
	lynx -dump -nolist htdocs/whatsnew.html | iconv -f latin1 > debian/tmp/changelog
	lynx -dump -nolist htdocs/about.html | iconv -f latin1 > debian/tmp/README
	dh_installdocs

=== debian/watch ===
version=3
opts="uversionmangle=s/_/./g" \
  http://validator.w3.org/dist/validator-(.*)\.tar\.gz

## w3c-markup-validator 1.2+dfsg

=== debian/changelog ===
w3c-markup-validator (1.2+dfsg-6) unstable; urgency=low

  * Changed to new location of w3c-sgml-lib files

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 14 Apr 2012 13:17:45 +0100

w3c-markup-validator (1.2+dfsg-5) unstable; urgency=low

  * Corrected typo in VCS URL (Closes: #662735)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Wed, 07 Mar 2012 20:42:37 +0000

w3c-markup-validator (1.2+dfsg-4) unstable; urgency=low

  * Updated debian/copyright to latest format and corrected copyright,
    especially after a closer reading of notices in
    htdocs/scripts/mootools-1.2.5-core-nc.js
  * Raised standards version to 3.9.3
  * Removed unused lintian override
  * Removed patch restricting protocols to http and
    made an explicit dependency on liblwp-protocol-https (Closes: #445265)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sat, 03 Mar 2012 15:57:12 +0000

w3c-markup-validator (1.2+dfsg-3) unstable; urgency=low

  * Changed Maintainership as the repository is no longer that of
    the Debian XML/SGML group
  * Updated copyright
  * Fixed various broken dependencies including broadening apache2 dependency to
    include httpd-cgi (Closes: #627962). The reason for this
    was that there seems to be no prospect of seeing the debate
    in http://lists.debian.org/debian-devel/2012/01/msg00148.html
    resolved in a satisfactory manner.
  * Updated debhelper version and compat level to 8

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 09 Feb 2012 20:37:22 +0000

w3c-markup-validator (1.2+dfsg-2) unstable; urgency=low

  * Corrected bug number regarding mod_perl disablement in patch.
    Thanks to Jorg Sommer for pointing this out.
  * Patched out versioned dependency on HTML::Template (Closes: 639711)
  * Raised standards version to 3.9.2
  * Added lintian override about apparently phoney duplicate file warning
  * Changed repository to github

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Tue, 30 Aug 2011 21:03:25 +0100

w3c-markup-validator (1.2+dfsg-1) unstable; urgency=low

  * New upstream release
  * Reviewed and refreshed patches
  * Simplified rules and compressed files as required by upstream
    to support content negotiation (Closes: #618469)
  * Moved test files to the examples directory
  * Reviewed dependencies
  * Disabled mod_perl support (cf. #618416)
  * Refreshed copyright
  * Refreshed lintian overrides
  * Add apache config ensuring directory access (Closes: #608225)
  * Change rules to rebuild htdocs/scripts/combined.js
  * Added Suggests clause and reviewed the long description
  * Added example perl script that uses WebService::Validator::HTML::W3C
  * Removed non-DFSG files (and files that will be rebuilt anyway)

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Thu, 17 Mar 2011 19:02:11 +0000

=== debian/control ===
Source: w3c-markup-validator
Section: web
Priority: optional
Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
Uploaders: Jaldhar H. Vyas <jaldhar@debian.org> 
Build-Depends: debhelper (>= 8)
Build-Depends-Indep: sharutils, perl, lynx, yui-compressor
Standards-Version: 3.9.3
Homepage: http://validator.w3.org/about.html
Vcs-Git: git://github.com/periapt/w3c-markup-validator.git
Vcs-Browser: http://github.com/periapt/w3c-markup-validator/

Package: w3c-markup-validator
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, apache2 | httpd-cgi,
 libwww-perl (>= 6), liburi-perl, libhtml-template-perl,
 libhtml-parser-perl (>= 3.60), libtext-iconv-perl, libset-intspan-perl,
 libnet-ip-perl, libconfig-general-perl, w3c-sgml-lib (>= 1.2-2),
 libencode-hanextra-perl, libhtml-encoding-perl, libjson-perl,
 libxml-libxml-perl (>= 1.70), libsgml-parser-opensp-perl,
 liblwp-protocol-https-perl
Recommends: libhtml-tidy-perl, libencode-jis2k-perl
Suggests: libwebservice-validator-html-w3c-perl, libtest-html-w3c-perl,
 libxml-xpath-perl
Description: W3C Markup Validator
 The W3C Markup Validator is a CGI script which lets you enter the URL of a web
 page which will be then checked against a validating SGML parser for
 conformance to official W3C recommendations. Pages can also be uploaded.
 .
 These are the same scripts that are available on the W3C web site, 
 http://validator.w3.org/.

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP = ${CURDIR}/debian/${PACKAGE}/
CONFIG_DIR = etc/w3c
CGIBIN_DIR = usr/lib/cgi-bin/$(PACKAGE)
SHARED_DIR = usr/share/$(PACKAGE)
HTML_DIR   = usr/share/$(PACKAGE)/html
IMAGES_DIR = $(SHARED_DIR)/html/images

%:
	dh $@ 

override_dh_auto_build:
	dh_auto_build
	yui-compressor htdocs/scripts/mootools-1.2.5-core-nc.js > combined.js
	yui-compressor htdocs/scripts/mootools-1.2.5.1-more.js >> combined.js
	yui-compressor htdocs/scripts/w3c-validator.js >> combined.js

override_dh_install:
	dh_install httpd/cgi-bin/check           ${CGIBIN_DIR}
	dh_install httpd/cgi-bin/sendfeedback.pl ${CGIBIN_DIR}
	dh_install httpd/conf/*                  ${CONFIG_DIR}
	dh_install htdocs/config/*               ${CONFIG_DIR}
	dh_install share/templates/en_US/*       ${SHARED_DIR}/templates/en_US
	dh_install -Xconfig -Xtest htdocs/*      ${HTML_DIR}
	dh_install debian/logo.png               ${IMAGES_DIR}
	dh_install combined.js                   ${HTML_DIR}/scripts

override_dh_installdocs:
	mkdir -p debian/tmp
	lynx -dump -nolist htdocs/todo.html | iconv -f latin1 > debian/tmp/TODO
	lynx -dump -nolist htdocs/whatsnew.html | iconv -f latin1 > debian/tmp/changelog
	lynx -dump -nolist htdocs/about.html | iconv -f latin1 > debian/tmp/README
	dh_installdocs

# The validator supports content negotiation with MultiViews.
# See http://httpd.apache.org/docs/current/content-negotiation.html
# and httpd/conf/httpd.conf and these compressed files
# are required as part of that. In order to facilitate 
# any modifications to the code we have these rules.
override_dh_compress:
	dh_compress
	gzip -c htdocs/navbar.css > ${TMP}/${HTML_DIR}/navbar.css.gz
	gzip -c htdocs/base.css > ${TMP}/${HTML_DIR}/base.css.gz
	gzip -c htdocs/tips.css > ${TMP}/${HTML_DIR}/tips.css.gz
	gzip -c htdocs/print.css > ${TMP}/${HTML_DIR}/print.css.gz
	gzip -c combined.js > ${TMP}/${HTML_DIR}/scripts/combined.js.gz
	gzip -c htdocs/docs.css > ${TMP}/${HTML_DIR}/docs.css.gz
	gzip -c htdocs/handheld.css > ${TMP}/${HTML_DIR}/handheld.css.gz
	gzip -c htdocs/results.css > ${TMP}/${HTML_DIR}/results.css.gz
	gzip -c htdocs/style/base.css > ${TMP}/${HTML_DIR}/style/base.css.gz
	gzip -c htdocs/style/results.css > ${TMP}/${HTML_DIR}/style/results.css.gz

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
  http://validator.w3.org/dist/validator-(\d+)_(\d+)\.tar\.gz

## w3c-markup-validator 1.3%2Bdfsg

=== debian/changelog ===
w3c-markup-validator (1.3+dfsg-5build1) resolute; urgency=medium

  * No-change mass rebuild for Ubuntu 26.04 (LP: #2132257)

 -- Sebastien Bacher <seb128@ubuntu.com>  Thu, 29 Jan 2026 22:04:18 +0100

w3c-markup-validator (1.3+dfsg-5) unstable; urgency=medium

  * QA upload.

  [ Jelmer Vernooĳ ]
  * Migrate repository from alioth to salsa.

  [ Petter Reinholdtsen ]
  * Avoid duplication of package name in description.
  * Updated to debhelper level 13.
  * Added d/gbp.conf to enforce the use of pristine-tar.

 -- Petter Reinholdtsen <pere@debian.org>  Wed, 10 Apr 2024 20:25:06 +0200

w3c-markup-validator (1.3+dfsg-4) unstable; urgency=medium

  * QA upload.
  * Switch Build-Depends back to lynx.  (Closes: #880788)
  * Use https:// URLs where possible.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 07 Nov 2017 14:41:21 +0100

w3c-markup-validator (1.3+dfsg-3) unstable; urgency=medium

  * QA upload.
  * Use debhelper compatibility level 9.
  * Put lynx-cur in build-depends, not lynx which is a dummy package.
  * The output of lynx depends on locale setting. Try to be reproducible
    by always using C.UTF-8.

 -- Santiago Vila <sanvila@debian.org>  Wed, 07 Oct 2015 15:55:46 +0200

w3c-markup-validator (1.3+dfsg-2) unstable; urgency=low

  * QA upload:
    - Update maintainer to Debian QA.
    - Drop uploader.
  * Switch Vcs to alioth collab-maint.
  * Update copyright file for lintian:
    - Remove spaces in licence short names.
    - Pack copyright information for mootools-1.2.5-core-nc.js. There can be
      only one license per file.
  * debian/rules: Ask lynx to directly outputs UTF-8, rather than assuming it
    outputs latin1 and then converting it with iconv. (Closes: #738426)
  * Transition to apache 2.4 (Closes: #670973) :
    - Use apache2-maintscript-helper to enable modules and conf files.
    - Also enable cgi module.
    - Remove obsolete file /etc/apache2/conf.d/w3c-markup-validator.conf.
    - Rewrite permission_override.patch for new authentication directives.
    - Update validator_conf_debianize.patch comments for new location.
    - Change Depends:apache|httpd-cgi to Recommends.
    - New no_ap_expr.patch to enable SSI legacy expression parser.
  * Bump policy to 3.9.6: No change required.
  * Refresh lintian overrides.

 -- Jean-Michel Nirgal Vourgère <jmv_deb@nirgal.com>  Thu, 06 Nov 2014 01:02:59 +0100

w3c-markup-validator (1.3+dfsg-1) unstable; urgency=low

  * New upstream release
  * Refreshed and fixed patches
  * Removed patch html-template-ver.patch as it was applied upstream
  * Removed mod_perl_disable.patch as mod_perl issues now resolved upstream
    but add mod_perl.patch to debianize paths (Closes: #618416)
  * Upstream Makefile now generates some resources but had to be debianized
  * Raised standards version to 3.9.4
  * Added config file for license-reconcile and updated debian/copyright
  * Updated debian/watch to repack upstream tarball
  * Aded libhtml-template-perl and libconfig-general-perl as build dependencies

 -- Nicholas Bamber <nicholas@periapt.co.uk>  Sun, 17 Mar 2013 10:54:36 +0000

## w3c-markup-validator 1.3+dfsg

=== debian/control ===
--- 
+++ 
@@ -4,8 +4,9 @@
 Maintainer: Nicholas Bamber <nicholas@periapt.co.uk>
 Uploaders: Jaldhar H. Vyas <jaldhar@debian.org> 
 Build-Depends: debhelper (>= 8)
-Build-Depends-Indep: sharutils, perl, lynx, yui-compressor
-Standards-Version: 3.9.3
+Build-Depends-Indep: sharutils, perl, lynx, yui-compressor, w3c-sgml-lib (>= 1.3),
+ libhtml-template-perl, libconfig-general-perl
+Standards-Version: 3.9.4
 Homepage: http://validator.w3.org/about.html
 Vcs-Git: git://github.com/periapt/w3c-markup-validator.git
 Vcs-Browser: http://github.com/periapt/w3c-markup-validator/
@@ -15,7 +16,7 @@
 Depends: ${perl:Depends}, ${misc:Depends}, apache2 | httpd-cgi,
  libwww-perl (>= 6), liburi-perl, libhtml-template-perl,
  libhtml-parser-perl (>= 3.60), libtext-iconv-perl, libset-intspan-perl,
- libnet-ip-perl, libconfig-general-perl, w3c-sgml-lib (>= 1.2-2),
+ libnet-ip-perl, libconfig-general-perl, w3c-sgml-lib (>= 1.3),
  libencode-hanextra-perl, libhtml-encoding-perl, libjson-perl,
  libxml-libxml-perl (>= 1.70), libsgml-parser-opensp-perl,
  liblwp-protocol-https-perl

=== debian/rules ===
#!/usr/bin/make -f

PACKAGE = $(shell dh_listpackages)
TMP = ${CURDIR}/debian/${PACKAGE}/
CONFIG_DIR = etc/w3c
CGIBIN_DIR = usr/lib/cgi-bin/$(PACKAGE)
SHARED_DIR = usr/share/$(PACKAGE)
HTML_DIR   = usr/share/$(PACKAGE)/html
IMAGES_DIR = $(SHARED_DIR)/html/images

%:
	dh $@ 

override_dh_auto_test:
	@echo TESTS REQUIRE A NETWORK

override_dh_install:
	dh_install httpd/cgi-bin/check           ${CGIBIN_DIR}
	dh_install httpd/cgi-bin/sendfeedback.pl ${CGIBIN_DIR}
	dh_install httpd/conf/*                  ${CONFIG_DIR}
	dh_install httpd/mod_perl/*              ${SHARED_DIR}/mod_perl
	dh_install htdocs/config/*               ${CONFIG_DIR}
	dh_install share/templates/en_US/*       ${SHARED_DIR}/templates/en_US
	dh_install -Xconfig -Xtest htdocs/*      ${HTML_DIR}
	dh_install debian/logo.png               ${IMAGES_DIR}

override_dh_installdocs:
	mkdir -p debian/tmp
	lynx -dump -nolist htdocs/todo.html | iconv -f latin1 > debian/tmp/TODO
	lynx -dump -nolist htdocs/whatsnew.html | iconv -f latin1 > debian/tmp/changelog
	lynx -dump -nolist htdocs/about.html | iconv -f latin1 > debian/tmp/README
	dh_installdocs

=== debian/watch ===
version=3
opts=dversionmangle=s/\+dfsg// \
  http://validator.w3.org/dist/validator-(\d+)_(\d+)\.tar\.gz \
  debian sh debian/repack.sh
